## com.ibm.lab.soln.jdt.extras
Class ChangeIMemberFlagAction

    java.lang.Object
      |
      +--com.ibm.lab.soln.jdt.extras.ChangeIMemberFlagAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

Direct Known Subclasses:
  MakeIMemberDefaultAction, MakeIMemberPrivateAction, MakeIMemberProtectedAction, MakeIMemberPublicAction, ToggleIMemberFinalAction

public abstract class ChangeIMemberFlagAction
extends java.lang.Object
implements org.eclipse.ui.IObjectActionDelegate

Abstract superclass for actions wishing to delete/add `IMember` modifiers.

Field Summary
`protected boolean` | `isChecked`

Constructor Summary
`ChangeIMemberFlagAction()`

Method Summary
`protected boolean` | `canPerformAction(org.eclipse.jface.action.IAction action, org.eclipse.jdt.core.IMember member)` Return `true` if the action can be applied to the given `IMember`; can be overridden, but must call superclass.
`protected boolean` | `deleteFlag(org.eclipse.jdt.core.IMember member, int flag, int flagTokenName)` Delete modifier indicated by `flag` and `flagTokenName`.
`protected boolean` | `insertFlag(org.eclipse.jdt.core.IMember member, int newFlag)` Insert modifier indicated by `newFlag`.
`protected abstract boolean` | `isChecked(org.eclipse.jface.action.IAction action, org.eclipse.jdt.core.IMember member)` Return `true` if the given `IMember` conforms to the action modifier; subclasses must override.
`protected abstract boolean` | `performAction(org.eclipse.jface.action.IAction action, org.eclipse.jdt.core.IMember member)` Perform the action against the given `IMember`; subclasses must override.
`protected boolean` | `replaceFlag(org.eclipse.jdt.core.IMember member, int newFlag, int replacingFlag, int replacingTokenName)` Replace modifier indicated by `replacingFlag` with `newFlag`.
`void` | `run(org.eclipse.jface.action.IAction action)`
`void` | `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)` Determine if the current action applies to the `IMember`s, given their current state.
`void` | `setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isChecked

    protected boolean isChecked

Constructor Detail

### ChangeIMemberFlagAction

    public ChangeIMemberFlagAction()

Method Detail

### canPerformAction

    protected boolean canPerformAction(org.eclipse.jface.action.IAction action,
                                       org.eclipse.jdt.core.IMember member)

  Return `true` if the action can be applied to the given `IMember`; can be overridden, but must call superclass.

### deleteFlag

    protected boolean deleteFlag(org.eclipse.jdt.core.IMember member,
                                 int flag,
                                 int flagTokenName)

  Delete modifier indicated by `flag` and `flagTokenName`.

### insertFlag

    protected boolean insertFlag(org.eclipse.jdt.core.IMember member,
                                 int newFlag)

  Insert modifier indicated by `newFlag`.

### isChecked

    protected abstract boolean isChecked(org.eclipse.jface.action.IAction action,
                                         org.eclipse.jdt.core.IMember member)

  Return `true` if the given `IMember` conforms to the action modifier; subclasses must override.

### performAction

    protected abstract boolean performAction(org.eclipse.jface.action.IAction action,
                                             org.eclipse.jdt.core.IMember member)

  Perform the action against the given `IMember`; subclasses must override.

### replaceFlag

    protected boolean replaceFlag(org.eclipse.jdt.core.IMember member,
                                  int newFlag,
                                  int replacingFlag,
                                  int replacingTokenName)

  Replace modifier indicated by `replacingFlag` with `newFlag`.

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.run(IAction)`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Determine if the current action applies to the `IMember`s, given their current state. If the selection is homogeneous, also check the action if all conform to this action's modifier.

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IMember`, `IActionDelegate.selectionChanged(IAction, ISelection)`

### setActivePart

    public void setActivePart(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart targetPart)

  Specified by:
    `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`